<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'install', language 'en_ar', version '2.6'.
 *
 * @package     install
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['admindirsetting'] = 'A very few webhosts use /admin as a special URL for ye to access a
    control panel or something.  Unfortunately this conflicts with the
    standard location for the Moodle admin pages.  Ye can fix this by
    renaming the admin directory in yer installation, and putting that
    new name here.  For example: <br /> <br /><b>moodleadmin</b><br /> <br />
    This will fix admin links in Moodle.';
$string['admindirsettingsub'] = 'A very few webhosts use /admin as a special URL for ye to access a
    control panel or something.  Unfortunately this conflicts with the
    standard location for the Moodle admin pages.  Ye can fix this by
    renaming the admin directory in yer installation, and putting that
    new name here.  For example: <br /> <br /><b>moodleadmin</b><br /> <br />
    This will fix admin links in Moodle.';
$string['clialreadyconfigured'] = 'File config.php already exists, please use admin/cli/install_database.php if ye want to install this site.';
$string['clialreadyinstalled'] = 'File config.php already exists, please use admin/cli/upgrade.php if ye want to upgrade this site.';
$string['climustagreelicense'] = 'In non interactive mode ye must agree to license by specifying --agree-license option';
$string['compatibilitysettings'] = 'Checking yer PHP settings ...';
$string['compatibilitysettingshead'] = 'Checking yer PHP settings ...';
$string['compatibilitysettingssub'] = 'Yer server should pass all these tests to make Moodle run properly';
$string['configfilenotwritten'] = 'The installer script was not able to automatically create a config.php file containing yer chosen settings, probably because the Moodle directory is not writeable. Ye can manually copy the following code into a file named config.php within the root directory of Moodle.';
$string['configurationcompletesub'] = 'Moodle made an attempt to save yer configuration in a file in the root of yer Moodle installation.';
$string['databasetypesub'] = 'Moodle supports several types of database servers. Please contact server administrator if ye do not know which type to use.';
$string['datarooterror'] = 'The \'data directory\' ye specified could not be found or created.  Either correct the path or create that directory manually.';
$string['datarootpublicerror'] = 'The \'data directory\' ye specified is directly accessible via web, ye must use different directory.';
$string['dbconnectionerror'] = 'We could not connect to the database ye specified. Please check yer database settings.';
$string['directorysettings'] = '<p>Please confirm the locations of this Moodle installation.</p>

<p><b>Web address:</b>
Specify the full web address where Moodle will be accessed.
If yer web site is accessible via multiple URLs then choose the
most natural one that yer students would use.  Do not include
a trailing slash.</p>

<p><b>Moodle directory:</b>
Specify the full directory path to this installation
Make sure the upper/lower case is correct.</p>

<p><b>Data directory:</b>
Ye need a place where Moodle can save uploaded files.  This
directory should be readable AND WRITEABLE by the web server user
(usually \'nobody\' or \'apache\'), but it must not be accessible
directly via the web. The installer will try to create it if doesn\'t exist.</p>';
$string['directorysettingssub'] = '<b>Web address:</b>
Specify the full web address where Moodle will be accessed.
If yer web site is accessible via multiple URLs then choose the
most natural one that yer students would use.  Do not include
a trailing slash.
<br />
<br />
<b>Moodle directory:</b>
Specify the full directory path to this installation
Make sure the upper/lower case is correct.
<br />
<br />
<b>Data directory:</b>
Ye need a place where Moodle can save uploaded files.  This
directory must be readable AND WRITEABLE by the web server user
(usually \'nobody\' or \'apache\'), but it must not be accessible
directly via the web. The installer will try to create it if doesn\'t exist.';
$string['downloadlanguagenotneeded'] = 'Ye may continue the installation process using the default language pack, "{$a}".';
$string['downloadlanguagesub'] = 'Ye now have the option of downloading a language pack and continuing the installation process in this language.<br /><br />If ye are unable to download the language pack, the installation process will continue in English. (Once the installation process is complete, ye will have the opportunity to download and install additional language packs.)';
$string['doyouagree'] = 'Do ye agree ? (yes/no):';
$string['environmenthead'] = 'Checking yer environment ...';
$string['environmentsub'] = 'We are checking if the various components of yer system meet the system requirements';
$string['environmentsub2'] = 'Each Moodle release has some minimum PHP version requirement and a number of mandatory PHP extensions.
Full environment check is done before each install and upgrade. Please contact server administrator if ye do not know how to install new version or enable PHP extensions.';
$string['fileuploadshelp'] = '<p>File uploading seems to be disabled on yer server.</p>

<p>Moodle can still be installed, but without this ability, ye will not be able
   to upload course files or new user profile images.</p>

<p>To enable file uploading ye (or yer system administrator) will need to
   edit the main php.ini file on yer system and change the setting for
   <b>file_uploads</b> to \'1\'.</p>';
$string['magicquotesruntimehelp'] = '<p>Magic quotes runtime should be turned off for Moodle to function properly.</p>

<p>Normally it is off by default ... see the setting <b>magic_quotes_runtime</b> in yer php.ini file.</p>

<p>If ye don\'t have access to yer php.ini, ye might be able to place the following line in a file
   called .htaccess within yer Moodle directory:</p>
   <blockquote><div>php_value magic_quotes_runtime Off</div></blockquote>';
$string['memorylimiterror'] = 'The PHP memory limit is set quite low ... ye may run into problems later.';
$string['memorylimithelp'] = '<p>The PHP memory limit for yer server is currently set to {$a}.</p>

<p>This may cause Moodle to have memory problems later on, especially
   if ye have a lot of modules enabled and/or a lot of users.</p>

<p>We recommend that ye configure PHP with a higher limit if possible, like 40M.
   There are several ways of doing this that ye can try:</p>
<ol>
<li>If ye are able to, recompile PHP with <i>--enable-memory-limit</i>.
    This will allow Moodle to set the memory limit itself.</li>
<li>If ye have access to yer php.ini file, ye can change the <b>memory_limit</b>
    setting in there to something like 40M.  If ye don\'t have access ye might
    be able to ask yer administrator to do this for you.</li>
<li>On some PHP servers ye can create a .htaccess file in the Moodle directory
    containing this line:
    <blockquote><div>php_value memory_limit 40M</div></blockquote>
    <p>However, on some servers this will prevent <b>all</b> PHP pages from working
    (you will see errors when ye look at pages) so you\'ll have to remove the .htaccess file.</p></li>
</ol>';
$string['mssqlextensionisnotpresentinphp'] = 'PHP has not been properly configured with the MSSQL extension so that it can communicate with SQL*Server.  Please check yer php.ini file or recompile PHP.';
$string['mysqliextensionisnotpresentinphp'] = 'PHP has not been properly configured with the MySQLi extension so that it can communicate with MySQL.  Please check yer php.ini file or recompile PHP.  MySQLi extension is not available for PHP 4.';
$string['nativemssqlhelp'] = 'Now ye need to configure the database where most Moodle data will be stored.
This database must already have been created and a username and password created to access it. Table prefix is mandatory.';
$string['nativemysqlihelp'] = 'Now ye need to configure the database where most Moodle data will be stored.
Database may be created if database user has needed permissions, username and password must already exist. Table prefix is optional.';
$string['nativeocihelp'] = 'Now ye need to configure the database where most Moodle data will be stored.
This database must already have been created and a username and password created to access it. Table prefix is mandatory.';
$string['nativepgsqlhelp'] = 'Now ye need to configure the database where most Moodle data will be stored.
This database must already have been created and a username and password created to access it. Table prefix is mandatory.';
$string['nativesqlsrvhelp'] = 'Now ye need to configure the database where most Moodle data will be stored.
This database must already have been created and a username and password created to access it. Table prefix is mandatory.';
$string['ociextensionisnotpresentinphp'] = 'PHP has not been properly configured with the OCI8 extension so that it can communicate with Oracle.  Please check yer php.ini file or recompile PHP.';
$string['pathssubadmindir'] = 'A very few webhosts use /admin as a special URL for ye to access a
control panel or something.  Unfortunately this conflicts with the standard location for the Moodle admin pages.  Ye can fix this by
renaming the admin directory in yer installation, and putting that  new name here.  For example: <em>moodleadmin</em>. This will fix admin links in Moodle.';
$string['pathssubdataroot'] = 'Ye need a place where Moodle can save uploaded files. This directory should be readable AND WRITEABLE by the web server user
(usually \'nobody\' or \'apache\'), but it must not be accessible directly via the web. The installer will try to create it if doesn\'t exist.';
$string['pathssubwwwroot'] = 'Full web address where Moodle will be accessed.
It\'s not possible to access Moodle using multiple addresses.
If yer site has multiple public addresses ye must set up permanent redirects on all of them except this one.
If yer site is accessible both from Intranet and Internet use the public address here and set up DNS so that the Intranet users may use the public address too.
If the address is not correct please change the URL in yer browser to restart installation with a different value.';
$string['pgsqlextensionisnotpresentinphp'] = 'PHP has not been properly configured with the PGSQL extension so that it can communicate with PostgreSQL.  Please check yer php.ini file or recompile PHP.';
$string['phpversionhelp'] = '<p>Moodle requires a PHP version of at least 4.3.0 or 5.1.0 (5.0.x has a number of known problems).</p>
<p>Ye are currently running version {$a}</p>
<p>Ye must upgrade PHP or move to a host with a newer version of PHP!<br />
(In case of 5.0.x ye could also downgrade to 4.4.x version)</p>';
$string['safemodehelp'] = '<p>Moodle may have a variety of problems with safe mode on, not least is that
   it probably won\'t be allowed to create new files.</p>

<p>Safe mode is usually only enabled by paranoid public web hosts, so ye may have
   to just find a new web hosting company for yer Moodle site.</p>

<p>Ye can try continuing the install if ye like, but expect a few problems later on.</p>';
$string['sqliteextensionisnotpresentinphp'] = 'PHP has not been properly configured with the SQLite extension.  Please check yer php.ini file or recompile PHP.';
$string['welcomep20'] = 'Ye are seeing this page because ye have successfully installed and
    launched the <strong>{$a->packname} {$a->packversion}</strong> package in yer computer. Congratulations!';
$string['welcomep60'] = 'The following pages will lead ye through some easy to follow steps to
    configure and set up <strong>Moodle</strong> on yer computer. Ye may accept the default
    settings or, optionally, amend them to suit yer own needs.';
