<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'lesson', language 'en_ar', version '2.6'.
 *
 * @package     lesson
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'Ye have lessons that are due';
$string['attemptsremaining'] = 'Ye have {$a} attempt(s) remaining';
$string['clicktopost'] = 'Click here to post yer grade on the High Scores list.';
$string['comments'] = 'Yer comments';
$string['completethefollowingconditions'] = 'Ye must complete the following condition(s) in <b>{$a}</b> lesson before ye can proceed.';
$string['defaultessayresponse'] = 'Yer essay will be graded by yer teacher.';
$string['displayscorewithessays'] = 'Ye earned {$a->score} out of {$a->tempmaxgrade} for the automatically graded questions.<br />Yer {$a->essayquestions} essay question(s) will be graded and added<br />into yer final score at a later date.<br /><br />Yer current grade without the essay question(s) is {$a->score} out of {$a->grade}';
$string['displayscorewithoutessays'] = 'Yer score is {$a->score} (out of {$a->grade}).';
$string['eolstudentoutoftime'] = 'Attention:  Ye ran out of time for this lesson.  Yer last answer may not have counted if it was answered after the time was up.';
$string['eolstudentoutoftimenoanswers'] = 'Ye did not answer any questions.  Ye have received a 0 for this lesson.';
$string['essayemailmessage'] = '<p>Essay prompt:<blockquote>{$a->question}</blockquote></p><p>Yer response:<blockquote><em>{$a->response}</em></blockquote></p><p>{$a->teacher}\'s comments:<blockquote><em>{$a->comment}</em></blockquote></p><p>Ye have received {$a->earned} out of {$a->outof} for this essay question.</p><p>Yer grade for the lesson has been changed to {$a->newgrade}&#37;.</p>';
$string['essayemailmessage2'] = '<p>Essay prompt:<blockquote>{$a->question}</blockquote></p><p>Yer response:<blockquote><em>{$a->response}</em></blockquote></p><p>Grader\'s comments:<blockquote><em>{$a->comment}</em></blockquote></p><p>Ye have received {$a->earned} out of {$a->outof} for this essay question.</p><p>Yer grade for the lesson has been changed to {$a->newgrade}&#37;.</p>';
$string['essayemailsubject'] = 'Yer grade for {$a} question';
$string['firstwrong'] = 'Unfortunately ye cannot earn this one point, because yer response was not correct.  Would ye like to keep guessing, just for the sheer joy of learning (but for no point credit)?';
$string['leftduringtimed'] = 'Ye have left during a timed lesson.<br />Please click on Continue to restart the lesson.';
$string['leftduringtimednoretake'] = 'Ye have left during a timed lesson and ye are<br />not allowed to retake or continue the lesson.';
$string['leftduringtimedsession'] = 'Ye have left during a timed lesson.';
$string['lessonnotready'] = 'This lesson is not ready to be taken.  Please contact yer {$a}.';
$string['maxtimewarning'] = 'Ye have {$a} minute(s) to finish the lesson.';
$string['minimumnumberofquestions_help'] = 'This setting specifies the minimum number of questions that will be used to calculate a grade for the activity. If the lesson contains one or more content pages, the minimum number of questions should be set to zero.

If set to say 20, it is suggested that the following text is added to the opening page of the lesson: "In this lesson ye are expected to attempt at least 20 questions. Ye can attempt more if ye wish. However, if ye attempt less than 20 questions, yer grade will be calculated as though ye attempted 20."';
$string['namereject'] = 'Sorry, yer name has been rejected by the filter.<br />Please try another name.';
$string['noretake'] = 'Ye are not allowed to retake this lesson.';
$string['nothighscore'] = 'Ye did not make the top {$a} high scores list.';
$string['numberofpagesviewednotice'] = 'Number of questions answered: {$a->nquestions}; (Ye should answer at least: {$a->minquestions})';
$string['ongoingcustom'] = 'Ye have earned {$a->score} point(s) out of {$a->currenthigh} point(s) thus far.';
$string['ongoingnormal'] = 'Ye have answered {$a->correct} correctly out of {$a->viewed} attempts.';
$string['pleaseenteryouranswerinthebox'] = 'Please enter yer answer in the box';
$string['progressbarteacherwarning2'] = 'Ye will not see the progress bar because ye can edit this lesson';
$string['progresscompleted'] = 'Ye have completed {$a}% of the lesson';
$string['secondpluswrong'] = 'Not quite.  Would ye like to try again?';
$string['studentoneminwarning'] = 'Warning: Ye have 1 minute or less to finish the lesson.';
$string['unabledtosavefile'] = 'The file ye uploaded could not be saved';
$string['whatdofirst'] = 'What would ye like to do first?';
$string['youhaveseen'] = 'Ye have seen more than one page of this lesson already.<br />Do ye want to start at the last page ye saw?';
$string['youmadehighscore'] = 'Ye made it on the top {$a} high scores list.';
$string['youranswer'] = 'Yer answer';
$string['yourcurrentgradeis'] = 'Yer current grade is {$a}';
$string['yourcurrentgradeisoutof'] = 'Yer current grade is {$a->grade} out of {$a->total}';
$string['youshouldview'] = 'Ye should answer at least: {$a}';
